//
//  GLGPXFile.h
//  GLGPSKit
//
//  Created by Jeffrey Early on 12/7/07.
//  Copyright 2007 Early Innovation. All rights reserved.
//

#import <Cocoa/Cocoa.h>

// This is a designed as a lightweight encapsulation of a GPX formatted file.

@interface GLGPXFile : NSObject {
	NSMutableArray *tracks;
	NSMutableArray *routes;
	NSMutableArray *waypoints;
	
	NSString *path;
}

- (GLGPXFile *) initWithPath: (NSString *) filePath;

@property(assign) NSMutableArray *tracks;
@property(assign) NSMutableArray *routes;
@property(assign) NSMutableArray *waypoints;

@property(copy) NSString *path;
@property(readonly) NSString *filename;

@end
