//
//  GLTCXImporter.h
//  GLGPSKit
//
//  Created by Jeffrey Early on 7/27/08.
//  Copyright 2008 Early Innovations, LLC. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import <GLGPSKit/GLXMLTrackImporter.h>

@interface GLTCXImporter : GLXMLTrackImporter {

}

/************************************************/
/*		Initialization							*/
/************************************************/

#pragma mark -
#pragma mark Initialization
#pragma mark

- (void) setTCXFiles: (NSArray *) fileArray;

- (void) closeEvent;

- (void) closeTrack;

- (void) closeTrackSegment;

- (void) closeTrackPoint;

@end
