//
//  GLWaypoint.h
//  Trips
//
//  Created by Jeffrey Early on 9/30/07.
//  Copyright 2007 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import <GLGeometryKit/GLGeometryKit.h>
#import "GLGeoPoint.h"

@interface GLWaypoint : GLGeoPoint <GLSpatialObject> {
	id objectOwner;
	GLGeometry *geometry;
	GLStyle *style;
}

// The order in which this this element was imported into its event.
@property NSInteger order;

/************************************************/
/*		GLSpatialObject Protocol				*/
/************************************************/

#pragma mark -
#pragma mark GLSpatialObject Protocol
#pragma mark

@property(assign) id objectOwner;
@property(readonly) GLGeometry *geometry;
@property(assign) GLStyle *style;

@end
