//
//  GLGPXExporter.h
//  Trips
//
//  Created by Jeffrey Early on 10/22/07.
//  Copyright 2007 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>

@class GLGeoPoint, GLTrackSegment, GLTrack;
@interface GLGPXExporter : NSObject {
	NSArray			*waypoints;
	NSArray			*tracks;
	NSArray			*routes;
	NSXMLDocument	*xmlDocument;
	NSString		*name;
}

@property(assign) NSArray *waypoints, *tracks, *routes;
@property(assign) NSXMLDocument	*xmlDocument;
@property(copy) NSString *name;

- (void) export;

- (NSXMLNode *) xmlNodeFromGeoPoint: (GLGeoPoint *) point;
- (NSXMLNode *) xmlNodeFromSegment: (GLTrackSegment *) segment;
- (NSXMLNode *) xmlNodeFromTrack: (GLTrack *) track;
- (NSXMLNode *) xmlNodeForBounds;

@end
