//
//  GLStyleEditor.h
//  GLGeometry
//
//  Created by Jeffrey Early on 1/14/07.
//  Copyright 2007 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>

@class GLStyleConglomerate;
@interface GLStyleEditor : NSScrollView {
	IBOutlet NSView *styleEditorView;
	IBOutlet NSView *ruleView;
	
	id spatialObjectsContainer;
	NSString *spatialObjectsKeyPath;
	id selectionIndexesContainer;
	NSString *selectionIndexesKeyPath;
	GLStyleConglomerate *styleConglomerate;
}

@property(assign) id spatialObjectsContainer;
@property(copy) NSString *spatialObjectsKeyPath;
@property(assign) id selectionIndexesContainer;
@property(copy) NSString *selectionIndexesKeyPath;

@property(assign) GLStyleConglomerate *styleConglomerate;
@property(readonly) NSArray *spatialObjects;
@property(readonly) NSIndexSet *selectionIndexes;

- (NSView *) ruleView;
- (void) reloadStyle;
@end
